Get Superbill
curl --request GET \
--url https://api.decodahealth.com/billing/superbill/{superbill_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/superbill/{superbill_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/superbill/{superbill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"patientId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"charges": [
{
"patientId": "<string>",
"totalOutstanding": 123,
"totalDiscount": 123,
"totalDiscountPercentage": 123,
"id": "<string>",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"preferredName": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"leadSource": "<string>",
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"optedInToSmsMarketing": true,
"optedInToEmailMarketing": true,
"optedInToSocialMedia": true,
"aiScribeConsent": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>",
"dosespotPatientId": "<string>"
},
"total": 0,
"description": "<string>",
"status": "OUTSTANDING",
"externalId": "<string>",
"externalCreatedDate": "2023-11-07T05:31:56Z",
"ruleSetId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"creatorId": "<string>",
"items": [],
"tips": [],
"locationId": "<string>",
"eventId": "<string>",
"memberId": "<string>",
"comment": "<string>",
"meta": {},
"merchantAccountId": "<string>",
"adjustments": [],
"payments": []
}
],
"context": {
"chargeId": "<string>",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2023-12-25",
"email": "<string>",
"phoneNumber": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
},
"guarantor": {
"name": "<string>",
"relationship": "<string>",
"patientId": "<string>"
},
"insuranceCoverages": [
{
"id": "<string>",
"isPrimary": true,
"inNetwork": true,
"insurerName": "<string>",
"memberId": "<string>",
"policyHolderName": "<string>",
"policyHolderDob": "2023-12-25",
"groupId": "<string>",
"pverifyCode": "<string>",
"phoneNumber": "<string>",
"coverageType": "<string>",
"planName": "<string>",
"planType": "<string>",
"effectiveDate": "2023-12-25",
"eligibilityNote": "<string>",
"claimsAddress": "<string>"
}
],
"event": {
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"serviceSegments": [
{
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"serviceId": "<string>",
"serviceName": "<string>",
"provider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"npi": "<string>",
"credentials": "<string>"
}
}
],
"location": {
"id": "<string>",
"name": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"phoneNumber": "<string>"
}
},
"savedPayload": {
"services": [
{
"chargeItemId": "<string>",
"included": true,
"billingCode": "<string>",
"billingCodeDescription": "<string>",
"modifiers": [],
"icd10Codes": [],
"ndcCode": "<string>",
"placeOfService": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"quantity": 1,
"quantityLabel": "QUANTITY",
"billedChargeCents": 0
}
],
"serviceDetails": {
"renderingProviderId": "<string>",
"renderingProviderName": "<string>",
"renderingProviderNpi": "<string>",
"billingProviderId": "<string>",
"billingProviderName": "<string>",
"billingProviderNpi": "<string>",
"tin": "<string>",
"otherProviderName": "<string>",
"placeOfService": "<string>",
"facilityName": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"hospitalAdmitDate": "2023-12-25",
"dateOfInjury": "2023-12-25",
"priorAuthNumber": "<string>"
},
"insurance": {
"coverageType": "<string>",
"payerName": "<string>",
"planName": "<string>",
"planType": "<string>",
"insuranceId": "<string>",
"groupId": "<string>",
"effectiveDate": "2023-12-25",
"eligibilityNote": "<string>",
"claimsAddress": "<string>",
"guarantorName": "<string>"
},
"notes": "<string>",
"includeCodeSummary": true
},
"noteCodes": {
"noteId": "<string>",
"cptCodes": [],
"icd10Codes": [],
"cptModifiers": {}
},
"serviceDefaults": [],
"defaultPlaceOfService": "<string>"
},
"eventId": "<string>",
"name": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Superbills
Get Superbill
Get a Super Bill’s full detail, including its linked charges and hydrated claim context.
GET
/
billing
/
superbill
/
{superbill_id}
Get Superbill
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Full Super Bill row + the aggregated editor context.
charges carries the full ChargeDetailWithItems for each linked charge so
the editor can render service-line cards across charges. context carries
the aggregated patient/event/insurance/note-codes the editor needs.
Show child attributes
Show child attributes
Autofill data for the superbill page: event details + insurance + guarantor.
If staff has previously saved a draft for this charge, saved_payload carries
their last-known values so the page can hydrate the editor (overrides autofill).
Show child attributes
Show child attributes
⌘I
